# Shorthand type names
[Typedefs]

## Detailed Description

Shorthand type names for structs and enumerations.

## Typedefs

typedef cp_plugin_info_t | cp_plugin_info_t
| A type for cp_plugin_info_t structure.
typedef cp_plugin_import_t | cp_plugin_import_t
| A type for cp_plugin_import_t structure.
typedef cp_ext_point_t | cp_ext_point_t
| A type for cp_ext_point_t structure.
typedef cp_extension_t | cp_extension_t
| A type for cp_extension_t structure.
typedef cp_cfg_element_t | cp_cfg_element_t
| A type for cp_cfg_element_t structure.
typedef cp_plugin_runtime_t | cp_plugin_runtime_t
| A type for cp_plugin_runtime_t structure.
typedef enum cp_status_t | cp_status_t
| A type for cp_status_t enumeration.
typedef enum cp_plugin_state_t | cp_plugin_state_t
| A type for cp_plugin_state_t enumeration.
typedef enum cp_log_severity_t | cp_log_severity_t
| A type for cp_log_severity_t enumeration.

## Typedef Documentation

typedef struct cp_plugin_info_t cp_plugin_info_t

A type for cp_plugin_info_t structure.

typedef struct cp_plugin_import_t cp_plugin_import_t

A type for cp_plugin_import_t structure.

typedef struct cp_ext_point_t cp_ext_point_t

A type for cp_ext_point_t structure.

typedef struct cp_extension_t cp_extension_t

A type for cp_extension_t structure.

typedef struct cp_cfg_element_t cp_cfg_element_t

A type for cp_cfg_element_t structure.

typedef struct cp_plugin_runtime_t cp_plugin_runtime_t

A type for cp_plugin_runtime_t structure.

typedef enum cp_status_t cp_status_t

A type for cp_status_t enumeration.

typedef enum cp_plugin_state_t cp_plugin_state_t

A type for cp_plugin_state_t enumeration.

typedef enum cp_log_severity_t cp_log_severity_t

A type for cp_log_severity_t enumeration.

Generated on Fri Apr 6 15:40:55 2007 for C-Pluff C API by 1.5.1